<div class="btnAcrossPageName">
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.uploadFile' | translate}}" *ngIf="objFunction?.create"
             mbButtonTextColor="#141ED2" (click)="doImportData()"></mb-button>
    <mb-button *ngIf="objFunction?.create"
        mbButtonSize="MEDIUM"
        mbButtonAvailableStyle="ADD_NEW"
        mbButtonText="{{'common.button.add' | translate}}"
        (click)="openAddModal()"
    ></mb-button>
</div>

<div class="basicSearch">
    <app-loading *ngIf="isLoadingPage"></app-loading>

    <!-- Form Search -->
    <form nz-form [formGroup]="form" style="margin-bottom: 8px">
        <div nz-row [nzGutter]="[30,30]">
            <!--    Form tìm kiếm -->

            <!-- Mã nhân viên -->
            <div nz-col [nzXs]="12" [nzLg]="6">
                <mb-input-text
                    formControlName="employeeCode"
                    [mbMaxLength]="200"
                    mbPlaceholderText="{{'partnership.pns-contract.searchForm.empCode' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.searchForm.empCode' | translate}}"
                ></mb-input-text>
            </div>

            <!-- Tên nhân viên -->
            <div nz-col [nzXs]="12" [nzLg]="6">
                <mb-input-text
                    formControlName="empName"
                    [mbMaxLength]="200"
                    mbPlaceholderText="{{'partnership.pns-contract.searchForm.empName' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.searchForm.empName' | translate}}"
                ></mb-input-text>
            </div>

            <!--Đơn vị-->
            <div nz-col [nzXs]='12' [nzLg]='6'>
                <org-data-picker
                    mbLabelText="{{'partnership.pns-contract.searchForm.organization' | translate}}"
                    formControlName='orgId'
                    [scope]="scope"
                    [functionCode]="functionCode"
                >
                </org-data-picker>
            </div>

            <!-- Trạng thái -->
            <div nz-col [nzXs]="12" [nzLg]="6">
                <mb-select-check-able
                    [mbShowAction]="false"
                    [mbDataSelects]="contractFeeStatus"
                    (mbEventEmit)="setFormValue($event, 'status')"
                    formControlName="status"
                    mbPlaceholder="{{'partnership.pns-contract.searchForm.status' | translate }}"
                    mbLabelText="{{'partnership.pns-contract.searchForm.status' | translate}}"
                ></mb-select-check-able>
            </div>
            <div nz-col nzXs="12" nzLg="6">
              <mb-date-picker
                  formControlName="fromDate"
                  mbLabelText="{{'partnership.pns-contract.searchForm.fromDate' | translate}}"
                  mbPlaceholderText="{{'partnership.pns-contract.searchForm.fromDate' | translate}}"
              ></mb-date-picker>
          </div>
  
          <!-- Ngày đăng ký đến -->
          <div nz-col nzXs="12" nzLg="6">
              <mb-date-picker
                  formControlName="toDate"
                  mbLabelText="{{'partnership.pns-contract.searchForm.toDate' | translate}}"
                  mbPlaceholderText="{{'partnership.pns-contract.searchForm.toDate' | translate}}"
                  
              ></mb-date-picker>
          </div>
            <!--    End Form tìm kiếm-->
        </div>
    </form>
    <!--End: Form Search -->

    <div nz-row class="btn__row">
        <div nz-col nzSpan="8"></div>
        <div nz-col nzSpan="8">
            <div style="text-align: center">
                <mb-button
                    class="staff__research__btn__search"
                    mbButtonSize="MEDIUM"
                    mbButtonAvailableStyle="SEARCH"
                    (click)="doSearch(1, true)"
                    mbButtonText="{{'partnership.label.search' | translate}}"
                ></mb-button>
                <mb-button
                  mbButtonSize="MEDIUM"
                  mbButtonType="BORDER"
                  (click)="doExportData()"
                >
                  <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
                </mb-button>
            </div>
        </div>
        <div nz-col nzSpan="8"></div>
    </div>

</div>


<div class="search__result">
  <mb-table-merge-cell-wrap>
    <div class="headerTableSelect">
      <mb-button *ngIf="objFunction?.approve"
        (click)='onApproveAll()'
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'partnership.pns-contract.label.approve' | translate}}"
        [mbIsDisable]='listContractFeeIds.length === 0'
      ></mb-button>
      <mb-button *ngIf="objFunction?.approve"
        (click)='onReject(true, 0, 0)'
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'partnership.pns-contract.label.reject' | translate}}"
        [mbIsDisable]='listContractFeeIds.length === 0'
      ></mb-button>
    </div>
    <mb-table-merge-cell
      #table
      (changePageNum)="doSearch($event)"
      [tableConfig]="tableConfig"
      [dataList]="dataTable"
      (amountSelectedRowsChange)="onAmountSelectedRowChange($event)"
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>


<!--Hành động-->
<ng-template #actionTmpl let-contractFeeId="contractFeeId" let-status='status'>
    <em nz-icon
        class="menu__item--btn"
        nz-button
        nzType="more"
        nzTheme="outline"
        nzTrigger="click"
        nz-dropdown
        [nzClickHide]="false"
        [nzDropdownMenu]="menu"
    ></em>
    <nz-dropdown-menu #menu="nzDropdownMenu">
        <ul nz-menu class="btnListWrap">
            <li
                nz-button
                nz-menu-item
                class="btnItem"
                (click)="openModalEdit(contractFeeId)"
                *ngIf="objFunction?.edit"
                [nzDisabled]="status === 1"
            >
                <div class="menu__item">
                    <em nz-icon nzType="edit" nzTheme="outline" class="iconClass"></em>
                    <span>{{'partnership.pns-contract.label.edit' | translate}}</span>
                </div>
            </li>
            <li
                nz-button
                nz-menu-item
                class="btnItem"
                (click)="onApprove(contractFeeId, status)"
                *ngIf="objFunction?.approve"
                [nzDisabled]='status !== 0'
            >
                <div class="menu__item">
                    <em nz-icon nzType="check" nzTheme="outline" class="iconClass"></em>
                    <span>{{'partnership.pns-contract.label.approve' | translate}}</span>
                </div>
            </li>
          <li
            nz-button
            nz-menu-item
            class="btnItem"
            (click)="onReject(false, contractFeeId, status)"
            *ngIf="objFunction?.approve"
            [nzDisabled]="status !== 0"
          >
            <div class="menu__item">
              <em nz-icon nzType="close" nzTheme="outline" class="iconClass"></em>
              <span>{{'partnership.pns-contract.label.reject' | translate}}</span>
            </div>
          </li>
          <li
            nz-button
            nz-menu-item
            class="btnItem"
            (click)="onDeleteClick(contractFeeId, status)"
            *ngIf="objFunction?.delete"
            [nzDisabled]="status === 1"
          >
            <div class="menu__item">
              <em nz-icon nzType="delete" nzTheme="outline" class="iconClass"></em>
              <span>{{'partnership.pns-contract.label.delete' | translate}}</span>
            </div>
          </li>
        </ul>
    </nz-dropdown-menu>
</ng-template>
<!--End: Hành động-->

<ng-template #amountFeeTmpl let-amountFee='amountFee'>
  {{ amountFee ?? 0 | formatCurrency :"VND"}}
</ng-template>

<!-- Trạng thái -->
<ng-template #statusTmpl let-status='status'>
    <ng-container *ngFor='let item of constant.CONTRACT_FEES_STATUS'>
        <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='status?.toString() === item.value'>{{item.label | translate}}</nz-tag>
    </ng-container>
</ng-template>
<!--End: Trạng thái-->

<import-file [showContent]='isImportData'
             (onCloseModal)='doCloseImport($event)'
             [urlApiDownloadTemp]='urlApiDownloadTemp'
             [urlApiImport]='urlApiImport'>
</import-file>

<nz-modal
  [(nzVisible)]="isShowModalReject"
  nzTitle="{{'partnership.pns-contract.label.reject' | translate}}"
  (nzOnCancel)="handleCancel()"
  (nzOnOk)="handleOk()"
>
  <ng-container *nzModalContent>
    <form nz-form [formGroup]="formReject">
      <div class="app-row" nz-row [nzGutter]="[30, 0]">
          <div nz-col nzXs="24" nzLg="24">
            <mb-input-text formControlName="rejectReason" [mbIsTextAre]='true' [mbConfig]="{ rows: 3, autoSize: true }" [mbMaxLength]="500" (mbBlur)="codeBlur()"
              [mbType]="isReject && formReject.controls['rejectReason'].errors ? 'error' : 'default'"
              [mbShowError]="isReject && formReject.controls['rejectReason'].errors !== null" [mbErrors]="formReject.controls['rejectReason'].errors"
              [mbErrorDefs]="[
              { errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.rejectReason' | translate }},
              { errorName: 'maxlength', errorDescription: 'partnership.pns-contract.validate.maxLength' | translate: {'numberLength': '500' }}]"
              mbPlaceholderText="--{{'partnership.pns-contract.label.rejectReason' | translate}}--"
              mbLabelText="{{'partnership.pns-contract.label.rejectReason' | translate}} <span class='label__required'>*</span>"></mb-input-text>
          </div>
      </div>
    </form>
  </ng-container>
  <ng-container *nzModalFooter>
    <mb-button mbButtonType="BORDER"  mbButtonSize="LARGE" (click)="handleCancel()" mbButtonBgColor="transparent"
               mbButtonAvailableStyle="DEFAULT" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="handleOk()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.select' | translate}}"></mb-button>
  </ng-container>
</nz-modal>
